---
layout: default
title: Events
suppress_header: true
description: Where you'll find information on the GitLab happenings circuit
extra_css:
  - events.css
extra_js:
  - events.js
extra_font:
  - Roboto+Slab
---

-# THE CONTENT FOR THIS PAGE IS IN https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/data/events.yml

.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg" }
  .header-content
    %h1
      GitLab Events
    %p
      Learn more about software excellence with GitLab. We will be
      attending, hosting, and running numerous events in #{Date.today.year},
      and cannot wait to see you there!
.page-container.upcoming-events.text-center.animated
  .row
    .filters-container
      .dropdown#event-types
        %button.dropdown-menu-toggle.btn{type: 'button', 'data-toggle' => 'dropdown'}
          .dropdown-title
          %i.fa.fa-chevron-down
        %ul.dropdown-menu.dropdown-scroll
      .dropdown.level#event-location
        %button.dropdown-menu-toggle.btn{type: 'button', 'data-toggle' => 'dropdown'}
          .dropdown-title
          %i.fa.fa-chevron-down
        %ul.dropdown-menu.dropdown-scroll
  .row
    %ul.tile.event-list{role: "navigation"}
      - data.events.each do |event|
        - ev_date_ends = Date.parse(event.date_ends)
        - if ev_date_ends >= Date.today
          %li{ data: { region: event.region ? event.region : 'Other', type: event.type ? event.type : '' } }
            .event-headers.flex-wrap-md
              %h3.event-topic
                = event.type == 'Diversity' ? '(Diversity Sponsorship) ' + event.topic : event.topic
              %h3.event-date
                = event.date
            .event-subheaders.flex-wrap-md
              %p.event-description
                = event.description ? event.description : 'This event is being supported through a GitLab diversity sponsorship, with no GitLab-specific content.'
              %p.event-location
                = event.location
            .social-tags.visible-xs-block
              - event.social_tags&.split(',')&.each do |tag|
                %a.social-tag{ href: "https://www.twitter.com/hashtag/#{tag}", target: "_blank" }
                  %i.fab.fa-twitter
                  = "##{tag}"
            .event-buttons.flex-wrap-md
              .social-tags.hidden-xs
                - event.social_tags&.split(',')&.each do |tag|
                  %a.social-tag{ href: "https://www.twitter.com/hashtag/#{tag}", target: "_blank" }
                    %i.fab.fa-twitter
                    = "##{tag}"
              - if event.url?
                %a.btn.cta-btn.accent{href:event.url} Join Us!
              - else
                - if event.event_url.nil?
                  %button.btn.cta-btn.btn-disabled
                    - if event.type == 'Diversity'
                      Come visit!
                    - else
                      Coming soon!
                - else
                  %a.btn.cta-btn.accent{href:event.event_url}
                    - if event.type == 'Diversity'
                      Come visit!
                    - else
                      Join Us!
    .center-horizontal
      %nav
        %ul.pagination
          %li
            %a{href:"#"}
              <<
          %li
            %a{href:"#"}
              1
          %li
            %a{href:"#"}
              >>
    .rad-event-container
      .tile.rad-event
        %h3
          Know about an amazing event we should be at?
        %p
          We'd love to help you
        %a.btn.cta-btn.orange{type:"button", href:"/find-a-speaker/"}
          Find a Speaker
.page-container.missed-events.text-center.animated
  %h3
    Sorry we missed you 🙁
  %p
    Check out some other stuff GitLab has been up to
  .row.event-recap
    .col-md-4.image-card-container
      %a.image-card{href: "https://www.youtube.com/watch?v=KGrJguM361c"}
        = image_tag "/images/events/introducing-auto-devops.png", alt: "event 1"
        %h4.image-card-text
          Introducing Auto DevOps
    .col-md-4.image-card-container
      %a.image-card{href: "https://www.youtube.com/watch?v=IZ3ABxXMXMs&t=4s"}
        = image_tag "/images/unsplash/fireworks.png", alt: "event 2"
        %h4.image-card-text
          GitLab 9.3 Released
    .col-md-4.image-card-container
      %a.image-card{href: "http://get.gitlab.com/getting-started-with-git/"}
        = image_tag "/images/events/getting-started-with-git.png", alt: "event 3"
        %h4.image-card-text
          Getting Started With Git
  .row.rad-event-container
    .rad-event
      %h3
        GitLab Diversity Sponsorship
      %a.btn.cta-btn.orange{type:"button", href: " /2016/03/24/sponsorship-update/"}
        Learn more
